feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Floating

# Documentation

class (Fraction a, Floating a) => Floating a where

Methods

pi :: Data a

exp :: Data a -> Data a

sqrt :: Data a -> Data a

log :: Data a -> Data a

(**) :: Data a -> Data a -> Data a

logBase :: Data a -> Data a -> Data a

sin :: Data a -> Data a

tan :: Data a -> Data a

cos :: Data a -> Data a

asin :: Data a -> Data a

atan :: Data a -> Data a

acos :: Data a -> Data a

sinh :: Data a -> Data a

tanh :: Data a -> Data a

cosh :: Data a -> Data a

asinh :: Data a -> Data a

atanh :: Data a -> Data a

acosh :: Data a -> Data a

Instances

Floating Float |
(Fraction a, RealFloat a) => Floating (Complex a) |